
Foreman - Bug #35663

Relax JWT pin to get newer versions of the gem

10/24/2022 07:10 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9479

  

Description

JWT is a security relevant gem, but we're currently pinning it to a rather old version (~> 2.2.2, which resolves to 2.2.3 April 2021

currently).

The latest version is 2.5.0 (from August 2022) and while I couldn't find any explicit issues in the changelog that would affect us, any

security updates that would come now, would come for that branch, not 2.2.z.

Associated revisions

Revision ab0aa35a - 10/25/2022 01:10 PM - Evgeni Golov

Fixes #35663 - relax jwt pin to accept newer versions than 2.2.z

History

#1 - 10/24/2022 07:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9479 added

#2 - 10/25/2022 01:10 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#3 - 10/25/2022 02:03 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ab0aa35a6e373f1ce0967e73aafec942f285674b.

#4 - 11/28/2022 12:16 PM - Ewoud Kohl van Wijngaarden

- Category changed from Authentication to Packaging

- Triaged changed from No to Yes
